Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class OptionsGroup.Status

    java.lang.Object
      portlets.compoze.groupware.OptionsGroup.Status

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  OptionsGroup

public static class OptionsGroup.Status
extends java.lang.Object
implements java.io.Serializable

This class represents an option status.

See Also:
  Serialized Form

Field Summary
`static OptionsGroup.Status` | `ACTIVE` This value represents the 'Active' status.
`static OptionsGroup.Status` | `INACTIVE` This value represents the 'Inactive' status.
`static OptionsGroup.Status` | `UNAVAILABLE` This value represents the 'Unavailable' status.
`static int` | `VALUE_ACTIVE` This is the value of the 'active' status.
`static int` | `VALUE_INACTIVE` This is the value of the 'inactive' status.
`static int` | `VALUE_UNAVAILABLE` This is the value of the 'unavailable' status.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates whether some other `Status` object is "equal to" this one.
`int` | `getValue()` Gets the status value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_ACTIVE

    public static final int VALUE_ACTIVE

  This is the value of the 'active' status.

  See Also:
    Constant Field Values

### VALUE_INACTIVE

    public static final int VALUE_INACTIVE

  This is the value of the 'inactive' status.

  See Also:
    Constant Field Values

### VALUE_UNAVAILABLE

    public static final int VALUE_UNAVAILABLE

  This is the value of the 'unavailable' status.

  See Also:
    Constant Field Values

### ACTIVE

    public static final OptionsGroup.Status ACTIVE

  This value represents the 'Active' status.

### INACTIVE

    public static final OptionsGroup.Status INACTIVE

  This value represents the 'Inactive' status.

### UNAVAILABLE

    public static final OptionsGroup.Status UNAVAILABLE

  This value represents the 'Unavailable' status.

Method Detail

### getValue

    public int getValue()

  Gets the status value.

  Returns:
    the status value (see `VALUE_` constants)

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other `Status` object is "equal to" this one. Equality is determined by matching the option status value (see `VALUE_` constants).

  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.